



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>在每页（分页）报表中重复显示标题 - SQL Server Reporting Service (SSRS)</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">在每页（分页）报表中重复显示标题 - SQL Server Reporting Service (SSRS)</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-21 18:50:34 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h3>问题描述</h3>
<p>TFS系统提供多种报表，有图表(Chart）、Web面板（Dashboard)、SharePoint面板、Excel报表，SQL Server Reporting Serivce（SSRS）报表。其中最为常用的报表是SSRS。SSRS的提供多种展现方式，支持多种数据源（关系数据库, Cube, SharePoint等），基本可以满足用户提取TFS系统数据的复杂需求。</p>
<p>在使用SSRS定制报表的过程中，表格是报表中不可缺少的一个元素。当数据量大，需要分页显示数据时，默认情况下，数据表头（Header）在后面的页面中是不显示的。但是许多用户都需要在每页中显示标题。如何设置显示表头，在SSRS中这个功能隐藏的比较深，即使是经常做报表开发，都会搞错。下面笔者总结一下如何设置显示表头：</p>
<h3>解决方案</h3>
<h4>设置每页显示表头会集成会碰到两种情况，即单行表头的表格和多行表头的表格，下面做分别说明：</h4>
<h4>- 单行表头的表格</h4>
<p>在单行表头的表格中，用户只需要设置一个静态节点的属性即可，如下图：</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/608205/201702/608205-20170222132528991-1348894244.png" /></p>
<p>图1 - 选择表格，在列组中选择高级模式</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/608205/201702/608205-20170222132531788-1050162954.png" /></p>
<p>图2 - 在行组中选择静态节点，按F4键盘，打开属性窗口，在窗口中设置下面的参数，保存即可</p>
<p>KeepTogether = True</p>
<p>KeepWithGroup = After</p>
<p>RepeatOnNewPage = Ture</p>
<p>需要注意，上图中的静态节点，实际上表示表格中的表头行，如果有多行表头，则会出现多个静态节点，如下面的章节会提到。</p>
<h4>- 多行表头的表格</h4>
<p>对应多行表头的表格，需要对每个静态节点设置属性，否则在发布报表的时候，系统会提示错误。</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/608205/201702/608205-20170222132536726-13454279.png" /></p>
<p>图3 – 需要对每行对应的表头（静态节点）设置属性</p>
<p>例如上面的截图中，静态节点（1）代表的行是表格中的“合计”行，而静态节点（2）代表的行是“处室-团队项目-姓名…”所在的表头行。</p>
<p>这样设置以后，报表在SSRS中就会每页显示表头数据。</p>
<p>--</p>
<p><a href="http://www.cnblogs.com/danzhang/" rel="external nofollow noreferrer">http://www.cnblogs.com/danzhang/</a>&#160; ALM MVP 张洪君</p>
<p>-</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/m96nw4jq.html">V&ZeroWidthSpace;S&ZeroWidthSpace;2&ZeroWidthSpace;0&ZeroWidthSpace;1&ZeroWidthSpace;2&ZeroWidthSpace;快&ZeroWidthSpace;捷&ZeroWidthSpace;键</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn1m1j38.html">JAVA-面向对象-多态</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwdno0z8.html">屏蔽cBox广告的方法 无需安装软件</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mnxzo6q.html">&lbrack;译&rsqb;JavaScript insertAdjacentHTML</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnv0j08.html">fstream读写UNICODE文件</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxn1gzd8.html">Hibernate 报错：this project is not a myeclipse hibernate project &period; assuming hibernate 3 cap</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdp0k0zq.html">Java 如何判断一个字符是否是数字或字母</a>
		</li>
						<li><a href="https://www.batexi.com/a/90mvm4n8.html">net core与golang web</a>
		</li>
						<li><a href="https://www.batexi.com/a/95003we8.html">《Linux内核设计与实现》的地址空间读书笔记的过程</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1zomzq.html">Linux下修改键盘映射</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1ngnmq.html">hashlib 加密</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxkmrlv8.html">如何在 Docker 容器中运行 Kali Linux 2&period;0</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjpddk8.html">c&num;操作Excel模板，替换命名单元格或关键字形成报表</a>
		</li>
						<li><a href="https://www.batexi.com/a/93y0yvn8.html">堡垒机jumpserver测试记录--使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o10g1eq.html">weblogic 乱码</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j1worl9.html">GridView（网格视图）&plus;MotionEvent（触控事件）实现可以拖动排序的网格图</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdp17d9.html">PAT 1043&nbsp;输出PATest&lpar;20&rpar;（代码&plus;思路）</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql12v009.html">linux  RAID10测试</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4p2ey3q.html">【快速查阅】Linux下启动和关闭Weblogic（管理服务器&plus;被管服务器）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qx27l2d8.html">centos7安装cacti</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/93pvr4g8.html">BeanDefinitionStoreException&colon; IOException parsing XML document from ServletContext resource</a>
			</li>
						<li><a href="https://www.batexi.com/a/ql1k0lx9.html">Ubuntu 16&period;04安装Git及GUI客户端</a>
			</li>
						<li><a href="https://www.batexi.com/a/963yroj9.html">C&num;中如何创建xml文件 增、删、改、查 xml节点信息</a>
			</li>
						<li><a href="https://www.batexi.com/a/8o4g6jxq.html">swift UITextfield 添加点击方法 - 简单实现</a>
			</li>
						<li><a href="https://www.batexi.com/a/qveryjx9.html">Web服务器和应用服务器简介</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zk4zev8.html">对ubuntu初学感想</a>
			</li>
						<li><a href="https://www.batexi.com/a/qverl1o9.html">discuz的diy功能介绍</a>
			</li>
						<li><a href="https://www.batexi.com/a/902p6doq.html">将html转换成image图片png格式</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7egk5g9.html">&lbrack;PHP&rsqb; 转义字符 Escape character</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gp5o2z9.html">web服务器部署过程记录</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
